## com.lowagie.bc.asn1
Class DERSequence

    java.lang.Object
      com.lowagie.bc.asn1.DERObject
          com.lowagie.bc.asn1.ASN1Sequence
              com.lowagie.bc.asn1.DERSequence

All Implemented Interfaces:
  DEREncodable, DERTags

Direct Known Subclasses:
  BERSequence

public class DERSequence
extends ASN1Sequence

Field Summary

Fields inherited from class com.lowagie.bc.asn1.ASN1Sequence
``

Fields inherited from interface com.lowagie.bc.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERSequence()` create an empty sequence
`DERSequence(DEREncodable obj)` create a sequence containing one object
`DERSequence(DEREncodableVector v)` create a sequence containing a vector of objects.

Method Summary
`(package private) void` `encode(DEROutputStream out)`

Methods inherited from class com.lowagie.bc.asn1.ASN1Sequence
`addObject, equals, getInstance, getInstance, getObjectAt, getObjects, hashCode, size`

Methods inherited from class com.lowagie.bc.asn1.DERObject
`getDERObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DERSequence

    public DERSequence()

  create an empty sequence

### DERSequence

    public DERSequence(DEREncodable obj)

  create a sequence containing one object

### DERSequence

    public DERSequence(DEREncodableVector v)

  create a sequence containing a vector of objects.

Method Detail

### encode

    void encode(DEROutputStream out)
          throws IOException

  Specified by:
    `encode` in class `ASN1Sequence`
  Throws:
    `IOException`